Hue Lights Plug In - Continuous Error Messages

Posted on
Mon Aug 01, 2022 4:37 pm
pspottswood offline
Posts: 15
Joined: Jul 12, 2018

Hue Lights Plug In - Continuous Error Messages

I am looking to resolve an issue that has recently popped up where I am getting continuous error messages that are associated with the Plug-In. The error messages are below and are from version 2022.12.40. Also, I started going back to previous versions to see if they also cause the error. When I got to version 2022.12.32, the error no longer occurred .

Any help would be appreciated.

Aug 1, 2022 at 6:30:25 PM
Stopping plugin Hue Lights (pid 53568)
Hue Lights Warning findHueBridges: stopping process due to stop request
Stopped plugin Hue Lights
Upgrading plugin Hue Lights to newer version 2022.12.40 (previous version moved to trash)
Loading plugin "Hue Lights 2022.12.40" using API v3.0
Starting plugin "Hue Lights 2022.12.40" (pid 53987)
Hue Lights Starting plugin initialization.
Hue Lights initializing ...
Hue Lights path To files: =================
Hue Lights detailed logging /Library/Application Support/Perceptive Automation/Indigo 2022.1/Logs/com.nathansheldon.indigoplugin.HueLights/plugin.log
Hue Lights testing logging levels, for info only:
Hue Lights logger enabled for INFO ==> TEST ONLY
Hue Lights Warning logger enabled for WARNING ==> TEST ONLY
Hue Lights Error logger enabled for ERROR ==> TEST ONLY
Hue Lights Error logger enabled for CRITICAL ==> TEST ONLY
Started plugin "Hue Lights 2022.12.40"
Hue Lights debug areas:[]
Hue Lights bridge lights groups scenes users resources rules schedules sensors hostIds / user names ------------------- ip Numbers ---- BridgeIds-------
Hue Lights #0 14 13 11 14 0 0 0 1 lBVCCfjGctA4YN9Qnhx4hvWOtMCorSa78-K0bns3 192.168.1.163 001788FFFE746DC5
Hue Lights ... initialized

Aug 1, 2022 at 6:31:11 PM
Hue Lights Error
Traceback (most recent call last):
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/response.py", line 438, in _error_catcher
yield
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/response.py", line 519, in read
data = self._fp.read(amt) if not fp_closed else b""
File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 465, in read
s = self.fp.read(amt)
File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/socket.py", line 705, in readinto
return self._sock.recv_into(b)
ConnectionResetError: [Errno 54] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/models.py", line 760, in generate
for chunk in self.raw.stream(chunk_size, decode_content=True):
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/response.py", line 576, in stream
data = self.read(amt=amt, decode_content=decode_content)
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/response.py", line 512, in read
with self._error_catcher():
File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/contextlib.py", line 153, in __exit__
self.gen.throw(typ, value, traceback)
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/response.py", line 455, in _error_catcher
raise ProtocolError("Connection broken: %r" % e, e)
urllib3.exceptions.ProtocolError: ("Connection broken: ConnectionResetError(54, 'Connection reset by peer')", ConnectionResetError(54, 'Connection reset by peer'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "plugin.py", line 799, in commandToHub_HTTP
r = requests.get(command, timeout=kTimeout, headers={'Connection':'close'})
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/api.py", line 75, in get
return request('get', url, params=params, **kwargs)
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/api.py", line 61, in request
return session.request(method=method, url=url, **kwargs)
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/sessions.py", line 529, in request
resp = self.send(prep, **send_kwargs)
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/sessions.py", line 687, in send
r.content
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/models.py", line 838, in content
self._content = b''.join(self.iter_content(CONTENT_CHUNK_SIZE)) or b''
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/models.py", line 763, in generate
raise ChunkedEncodingError(e)
requests.exceptions.ChunkedEncodingError: ("Connection broken: ConnectionResetError(54, 'Connection reset by peer')", ConnectionResetError(54, 'Connection reset by peer'))
Hue Lights Error
Traceback (most recent call last):
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/response.py", line 438, in _error_catcher
yield
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/response.py", line 519, in read
data = self._fp.read(amt) if not fp_closed else b""
File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 465, in read
s = self.fp.read(amt)
File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/socket.py", line 705, in readinto
return self._sock.recv_into(b)
ConnectionResetError: [Errno 54] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/models.py", line 760, in generate
for chunk in self.raw.stream(chunk_size, decode_content=True):
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/response.py", line 576, in stream
data = self.read(amt=amt, decode_content=decode_content)
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/response.py", line 512, in read
with self._error_catcher():
File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/contextlib.py", line 153, in __exit__
self.gen.throw(typ, value, traceback)
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/response.py", line 455, in _error_catcher
raise ProtocolError("Connection broken: %r" % e, e)
urllib3.exceptions.ProtocolError: ("Connection broken: ConnectionResetError(54, 'Connection reset by peer')", ConnectionResetError(54, 'Connection reset by peer'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "plugin.py", line 799, in commandToHub_HTTP
r = requests.get(command, timeout=kTimeout, headers={'Connection':'close'})
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/api.py", line 75, in get
return request('get', url, params=params, **kwargs)
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/api.py", line 61, in request
return session.request(method=method, url=url, **kwargs)
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/sessions.py", line 529, in request
resp = self.send(prep, **send_kwargs)
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/sessions.py", line 687, in send
r.content
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/models.py", line 838, in content
self._content = b''.join(self.iter_content(CONTENT_CHUNK_SIZE)) or b''
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/models.py", line 763, in generate
raise ChunkedEncodingError(e)
requests.exceptions.ChunkedEncodingError: ("Connection broken: ConnectionResetError(54, 'Connection reset by peer')", ConnectionResetError(54, 'Connection reset by peer'))
Disabling plugin "Hue Lights 2022.12.40"
Stopping plugin "Hue Lights 2022.12.40" (pid 53987)
Hue Lights Error
Traceback (most recent call last):
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/response.py", line 438, in _error_catcher
yield
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/response.py", line 519, in read
data = self._fp.read(amt) if not fp_closed else b""
File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 465, in read
s = self.fp.read(amt)
File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/socket.py", line 705, in readinto
return self._sock.recv_into(b)
ConnectionResetError: [Errno 54] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/models.py", line 760, in generate
for chunk in self.raw.stream(chunk_size, decode_content=True):
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/response.py", line 576, in stream
data = self.read(amt=amt, decode_content=decode_content)
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/response.py", line 512, in read
with self._error_catcher():
File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/contextlib.py", line 153, in __exit__
self.gen.throw(typ, value, traceback)
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/response.py", line 455, in _error_catcher
raise ProtocolError("Connection broken: %r" % e, e)
urllib3.exceptions.ProtocolError: ("Connection broken: ConnectionResetError(54, 'Connection reset by peer')", ConnectionResetError(54, 'Connection reset by peer'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "plugin.py", line 799, in commandToHub_HTTP
r = requests.get(command, timeout=kTimeout, headers={'Connection':'close'})
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/api.py", line 75, in get
return request('get', url, params=params, **kwargs)
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/api.py", line 61, in request
return session.request(method=method, url=url, **kwargs)
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/sessions.py", line 529, in request
resp = self.send(prep, **send_kwargs)
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/sessions.py", line 687, in send
r.content
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/models.py", line 838, in content
self._content = b''.join(self.iter_content(CONTENT_CHUNK_SIZE)) or b''
File "/Library/Application Support/Perceptive Automation/Indigo 2022.1/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/models.py", line 763, in generate
raise ChunkedEncodingError(e)
requests.exceptions.ChunkedEncodingError: ("Connection broken: ConnectionResetError(54, 'Connection reset by peer')", ConnectionResetError(54, 'Connection reset by peer'))
Stopped plugin "Hue Lights 2022.12.40"

Posted on
Mon Aug 01, 2022 5:17 pm
pspottswood offline
Posts: 15
Joined: Jul 12, 2018

Re: Hue Lights Plug In - Continuous Error Messages

To anyone encountering this error, I deleted the Hue Hub and added it back in an that seems to have resolved the issue. I'll give it a day or so and see if it holds.

Page 1 of 1

Who is online

Users browsing this forum: No registered users and 1 guest